define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-E66AA480-9904-4B1C-A39A-C425A93EEB7D",
                    "topics":[
                        {
                            "title":"Audience",
                            "href":"preface.html#GUID-14CB1C2E-63B8-4815-919A-63817B558D98"
                        },
                        {
                            "title":"Documentation Accessibility",
                            "href":"preface.html#GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                        },
                        {
                            "title":"Diversity and Inclusion",
                            "href":"preface.html#GUID-9988A30D-7D01-426B-9735-17EC2F0B4A85"
                        },
                        {
                            "title":"Related Documents",
                            "href":"preface.html#GUID-54698D6C-94EC-473C-A0D7-F94EA7DB115C"
                        },
                        {
                            "title":"Conventions",
                            "href":"preface.html#GUID-B0C8563B-4874-45CC-91F5-026871E3B56E"
                        },
                        {
                            "title":"Third-Party License Information",
                            "href":"preface.html#GUID-8F922746-701F-4B19-80F7-8B74FC77CCB9"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Changes in Release 22.1 for Oracle APEX Installation Guide",
                    "href":"changes-in-this-release.html#GUID-0D0A4621-4D96-4776-AC62-E9310B3C6032"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Oracle APEX Installation Requirements",
                    "href":"apex-installation-requirements.html#GUID-02BE4A34-B631-412C-8A82-EB92DABBACE0",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1 </span> Oracle Database Requirements",
                            "href":"apex-installation-requirements.html#GUID-ED8FE111-A861-4A54-938B-CB3664D49C68",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">2.1.1 </span> Checking the MEMORY_TARGET of the Target Database",
                                    "href":"apex-installation-requirements.html#GUID-13DE5DEE-DA14-491F-B0A4-39B7FB8413D0"
                                },
                                {
                                    "title":"<span class=\"secnum\">2.1.2 </span> Checking the WORKAREA_SIZE_POLICY of the Target Database",
                                    "href":"apex-installation-requirements.html#GUID-90785C15-20A4-4F6C-A463-5E6155F64824"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">2.2 </span> Browser Requirements",
                            "href":"apex-installation-requirements.html#GUID-6E817104-6C58-4FA8-861D-F884AA3369B0"
                        },
                        {
                            "title":"<span class=\"secnum\">2.3 </span> Web Server Requirements",
                            "href":"apex-installation-requirements.html#GUID-848EF7A3-07D0-427E-A080-694144570136"
                        },
                        {
                            "title":"<span class=\"secnum\">2.4 </span> Disk Space Requirement",
                            "href":"apex-installation-requirements.html#GUID-CF588A4D-BBE5-4EBE-8F25-B9D11EDCF568"
                        },
                        {
                            "title":"<span class=\"secnum\">2.5 </span> Oracle XML DB Requirement",
                            "href":"apex-installation-requirements.html#GUID-274D8E6E-40E0-4D0D-AC99-66EB94F58F4D"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Oracle APEX Installation Overview",
                    "href":"apex-installation-overview.html#GUID-DB8E4B2B-1AEB-4B76-BBA3-31C5876C3F14",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1 </span> About Oracle APEX Architecture",
                            "href":"about-apex-architecture.html#GUID-2FF90AE3-87AE-42EB-90C7-A79A0A6AA997"
                        },
                        {
                            "title":"<span class=\"secnum\">3.2 </span> About Accessing Oracle APEX in Oracle Cloud",
                            "href":"accessing-application-express-in-oracle-cloud.html#GUID-DF479791-4815-4214-91A0-F02590496575"
                        },
                        {
                            "title":"<span class=\"secnum\">3.3 </span> Understanding the Installation Process",
                            "href":"understanding-installation-process.html#GUID-EA165C61-C987-47F6-91D9-C44353207E1B",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">3.3.1 </span> About Planning Your Installation",
                                    "href":"understanding-installation-process.html#GUID-07DF83AA-E2CD-44ED-927B-38B6FCB16F1A"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.2 </span> About Patch Sets",
                                    "href":"understanding-installation-process.html#GUID-F494B8A9-316C-4AE4-BC6B-A30BDD9B6773"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.3 </span> About the Installation Scripts",
                                    "href":"understanding-installation-process.html#GUID-CB7E08C8-2757-4F88-876B-19C23C582326"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.4 </span> About Accessing Oracle APEX",
                                    "href":"understanding-installation-process.html#GUID-43D822B2-4B84-4411-9315-FB613DC4E9CB"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.5 </span> Requesting a Workspace from the Sign In Dialog",
                                    "href":"understanding-installation-process.html#GUID-BEEC262D-50FE-432F-AAB5-E95A3E508842"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.6 </span> Resetting Your Password from the Sign In Page",
                                    "href":"understanding-installation-process.html#GUID-027C0587-1CC1-48F2-BE59-F6D46E86560F"
                                },
                                {
                                    "title":"<span class=\"secnum\">3.3.7 </span> Recovering Your Workspace Name",
                                    "href":"understanding-installation-process.html#GUID-853B2DF0-ED46-46C4-8833-1021F05C57AC"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">3.4 </span> About the Oracle APEX Runtime Environment",
                            "href":"about-apex-runtime-environment.html#GUID-BEB2F250-40B7-4022-9B05-3B1199386020"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Upgrading from a Previous Oracle APEX Release",
                    "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-802A767F-2528-4B98-AC4F-B683DF4E572B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1 </span> About Release Numbering Conventions",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-54D7AD46-0359-40D0-AAD8-E1811F56E446"
                        },
                        {
                            "title":"<span class=\"secnum\">4.2 </span> Sample Upgrade Scenarios",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-8A677851-19A5-4AEA-81C1-85C256D2E5C5"
                        },
                        {
                            "title":"<span class=\"secnum\">4.3 </span> Viewing the Oracle APEX Release Number",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-C1BE7081-ABEA-4629-9EA7-913F4353C5D7"
                        },
                        {
                            "title":"<span class=\"secnum\">4.4 </span> Viewing the Oracle REST Data Services Release Number",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-D15F0078-3E72-42D2-A63E-E25464AE1867"
                        },
                        {
                            "title":"<span class=\"secnum\">4.5 </span> About Installing an Oracle APEX Release Included with the Oracle Database",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-766942ED-A16C-45AE-A0E1-256F8B92E9C5"
                        },
                        {
                            "title":"<span class=\"secnum\">4.6 </span> About Upgrading Existing Applications",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-54619C72-6291-420D-9CB5-865124AC3F0E"
                        },
                        {
                            "title":"<span class=\"secnum\">4.7 </span> About Testing Requirements",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-A81B6A14-4DA8-4CA4-8FFB-7039EABED150"
                        },
                        {
                            "title":"<span class=\"secnum\">4.8 </span> About Cleaning Up Your Environment",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-1C9FFC9D-D0BA-4A87-82D8-2832FCE40D3D"
                        },
                        {
                            "title":"<span class=\"secnum\">4.9 </span> About Reverting to a Previous Release",
                            "href":"upgrading_from_previous_oracle_application_expressr_release.html#GUID-6F35C5D1-F010-422E-A268-D17DA94823BD"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Utilizing the Multitenant Architecture in Oracle Database 12c or Later",
                    "href":"multitenant-architecture-in-Oracle-db-12c.html#GUID-972D1EC3-84AD-4C36-A4B1-167C3610BE7F",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1 </span> Understanding the Installation Choices",
                            "href":"understanding-installation-choices.html#GUID-A805FD4D-6049-429D-9DD2-717C75D96E62"
                        },
                        {
                            "title":"<span class=\"secnum\">5.2 </span> Installing Oracle APEX into an Application Container",
                            "href":"installing-apex-into-application-container.html#GUID-46CD6A47-05A5-4DA2-8204-F80FFB48371D",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.2.1 </span> About Application Containers",
                                    "href":"installing-apex-into-application-container.html#GUID-D14D88BC-2858-46B8-9013-37468161329E"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2.2 </span> Creating an Application Container",
                                    "href":"installing-apex-into-application-container.html#GUID-4D375CD3-9A66-476C-9F99-EB63BDCC2D1C"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2.3 </span> Installing or Upgrading Oracle APEX in an Application Container",
                                    "href":"installing-apex-into-application-container.html#GUID-C14AF3AD-EEC7-44E9-A696-DAE6EC9265B3"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2.4 </span> Verifying the Application Container Installation",
                                    "href":"installing-apex-into-application-container.html#GUID-727072CC-91D1-4014-A1A0-DB9138174FDB"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2.5 </span> Creating an Application Seed",
                                    "href":"installing-apex-into-application-container.html#GUID-F81F8882-005E-4A4F-932D-27FA30F61DEB"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2.6 </span> Creating an Application PDB from the Application Root Seed",
                                    "href":"installing-apex-into-application-container.html#GUID-B292320A-DCAA-4DF9-B8C6-9F2D5B962860"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.2.7 </span> Configure HTTP Access to the Application PDB",
                                    "href":"installing-apex-into-application-container.html#GUID-FB66CDB7-63F5-4B38-9041-040A4793ECB6"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5.3 </span> Installing Oracle APEX into Different PDBs",
                            "href":"installing-apex-into-different-PDBs.html#GUID-91809585-A1BA-44B5-8AD5-8FB44FB61A3F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.3.1 </span> Uninstalling Oracle APEX from a CDB",
                                    "href":"installing-apex-into-different-PDBs.html#GUID-EECD19AD-34C6-4DC4-A9E2-48F747F5A182"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.3.2 </span> Installing Oracle APEX Locally in a PDB",
                                    "href":"installing-apex-into-different-PDBs.html#GUID-1BD78FA9-CA7C-47CF-A5A9-30CA3084315B"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.3.3 </span> Installing Oracle APEX into a CDB",
                                    "href":"installing-apex-into-different-PDBs.html#GUID-711396F6-DC1C-4EF8-8CA5-4C36E8615DFD"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5.4 </span> Plugging in a PDB When Oracle APEX Is Installed in the Root Container",
                            "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-F1D9485F-F21F-4194-A995-0F17547A664D",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.4.1 </span> Scenario 1: Plug-in Non-CDB with Oracle APEX",
                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-33505E7E-22E6-4649-A1CF-601A9A4CAD42"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.4.2 </span> Scenario 2: Plug-in PDB with a Common APEX from Another CDB",
                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-F278C6B4-0035-4558-89E9-A9A3891E5152"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.4.3 </span> Scenario 3: Plug-in PDB with a Local Oracle APEX from Another CDB",
                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-F7EFB09A-66D1-4E78-92F6-038BA7159257"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.4.4 </span> Scenario 4: Plug-in Non-CDB or PDB with No Oracle APEX",
                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-E0DA6DE1-E299-4CAF-BC50-0C7F4E56B2D0"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.4.5 </span> Working with Incompatible Oracle APEX Versions",
                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-00F2ABEE-FD90-4787-93A7-FD18B3459FEB",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">5.4.5.1 </span> Patching or Upgrading Oracle APEX in a CDB",
                                            "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-E7BB8412-0A26-4C62-A220-21CC5D551B8A"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">5.4.5.2 </span> Patching or Upgrading Oracle APEX in a PDB",
                                            "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-4594B8A4-806E-401D-8D5D-82050EFF00E6",
                                            "topics":[
                                                {
                                                    "title":"<span class=\"secnum\">5.4.5.2.1 </span> Patching Oracle APEX in a PDB",
                                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-44A0C0A6-DC9E-4249-9576-C3173FD7EF44"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">5.4.5.2.2 </span> Upgrading Oracle APEX in a PDB",
                                                    "href":"plugging-in-PDB-when-apex-installed-in-root-container.html#GUID-AF760833-F3F6-4C59-922E-E17AD37D6B18"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">5.5 </span> Plugging in a PDB When Oracle APEX Is Not in the Root Container of the Target CDB",
                            "href":"plugging-in-PDB-when-apex-is-not-in-root-container-of-target-CDB.html#GUID-E22E8E7A-9197-4E42-9267-773253D6BEB0",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">5.5.1 </span> Scenario 1: Plug-in a Non-CDB or PDB with Locally Installed APEX",
                                    "href":"plugging-in-PDB-when-apex-is-not-in-root-container-of-target-CDB.html#GUID-357E3F04-D682-4A37-88B5-930E317F0777"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.5.2 </span> Scenario 2: Plug-in PDB with Common Oracle APEX from Another CDB",
                                    "href":"plugging-in-PDB-when-apex-is-not-in-root-container-of-target-CDB.html#GUID-4DED9133-E150-4405-8E6B-FA297CD8C1F4"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.5.3 </span> Scenario 3: Plug-in PDB with a Local Oracle APEX from Another CDB",
                                    "href":"plugging-in-PDB-when-apex-is-not-in-root-container-of-target-CDB.html#GUID-6E2FDC69-C70A-43D6-88AB-D951BB0AC382"
                                },
                                {
                                    "title":"<span class=\"secnum\">5.5.4 </span> Scenario 4: Plug-in a Non-CDB or PDB with No Oracle APEX",
                                    "href":"plugging-in-PDB-when-apex-is-not-in-root-container-of-target-CDB.html#GUID-5B3242A1-AF71-4B7D-BBE8-29EF789A860E"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Installing and Configuring Oracle APEX and Oracle REST Data Services",
                    "href":"installing-and-configuring-apex-and-ords.html#GUID-8EE981AD-B1F9-46C2-BB5A-C9FE60CCD4AA",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">6.1 </span> Performing Pre-installation Tasks for Oracle APEX",
                            "href":"performing-pre-installation-tasks-for-apex.html#GUID-0ADB0A81-B1DC-4C6B-9F2E-4A3043B1EA91"
                        },
                        {
                            "title":"<span class=\"secnum\">6.2 </span> About SQLcl Support",
                            "href":"about-sqlcll-support.html#GUID-7B6179A2-1439-4234-97C5-933EF1957B9B"
                        },
                        {
                            "title":"<span class=\"secnum\">6.3 </span> Downloading and Installing Oracle APEX",
                            "href":"downloading-installing-apex.html#GUID-B5A5B38D-586C-488A-AE27-A168FAA28FEE",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.3.1 </span> Installing Oracle APEX",
                                    "href":"downloading-installing-apex.html#GUID-7E432C6D-CECC-4977-B183-3C654380F7BF"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.3.2 </span> Creating or Updating Your Instance Administration Account",
                                    "href":"downloading-installing-apex.html#GUID-4062E1F0-2772-48FC-A4AA-436F326CF751",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">6.3.2.1 </span> What Is an Instance Administrator?",
                                            "href":"downloading-installing-apex.html#GUID-B8ACA78B-8483-4786-863C-912659880604"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.3.2.2 </span> About apxchpwd.sql",
                                            "href":"downloading-installing-apex.html#GUID-FF0C27D4-3719-46F1-9E4A-FC89212E0061"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.3.2.3 </span> Running apxchpwd.sql",
                                            "href":"downloading-installing-apex.html#GUID-2DA3D4C1-EFB0-4FAF-841B-E90D58EF11E0"
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">6.3.3 </span> Restarting Processes",
                                    "href":"downloading-installing-apex.html#GUID-6F1E847B-B091-4832-9F87-739F19025AAC"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.3.4 </span> Configuring the APEX_PUBLIC_USER Account",
                                    "href":"downloading-installing-apex.html#GUID-0619448A-56FB-43E1-A479-C45EC5002E4B",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">6.3.4.1 </span> About the APEX_PUBLIC_USER Account",
                                            "href":"downloading-installing-apex.html#GUID-382AFED6-6542-4E6E-9EF7-6DB1DC588E98"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.3.4.2 </span> Unlocking the APEX_PUBLIC_USER Account",
                                            "href":"downloading-installing-apex.html#GUID-97410621-4E32-48A1-9112-AB0329B3FE73"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.3.4.3 </span> Changing the Password for the APEX_PUBLIC_USER Account",
                                            "href":"downloading-installing-apex.html#GUID-EE55AB65-51CC-450C-9675-C6010EE95630"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.3.4.4 </span> About Password Expiration in Oracle Database 11g and Later",
                                            "href":"downloading-installing-apex.html#GUID-FFD93D3E-7B9D-4786-B9EE-0F4575591B8F"
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">6.3.5 </span> Configuring RESTful Services",
                                    "href":"downloading-installing-apex.html#GUID-93638EC4-5278-421B-9C19-BB68F9B31C40"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.4 </span> Downloading and Installing Oracle REST Data Services",
                            "href":"downloading-installing-ords.html#GUID-1F0064FB-7F00-4ACE-85BD-E9B2AF73A233",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.4.1 </span> Downloading Oracle REST Data Services",
                                    "href":"downloading-installing-ords.html#GUID-A39B8770-8FE9-41DA-AC2C-5E3723BF0C19"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.4.2 </span> About Configuring Oracle REST Data Services Behind a Reverse Proxy or Load Balancer",
                                    "href":"downloading-installing-ords.html#GUID-8FFD8668-D1DC-40C5-8E1E-3983FBF24C28"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.4.3 </span> Web Server HTTP POST Request Limits",
                                    "href":"downloading-installing-ords.html#GUID-8B1CC607-D33E-41C1-AA7C-11688EC3D70F"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.5 </span> Configuring Oracle REST Data Services",
                            "href":"configuring-ords.html#GUID-AD38DE06-A560-4D6D-BD50-6E5A8E513BBF",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.5.1 </span> Copying the Images Directory",
                                    "href":"configuring-ords.html#GUID-C070563B-2080-4DB1-A5FB-48B4D1B57D77"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.5.2 </span> Validating the Oracle REST Data Services Installation",
                                    "href":"configuring-ords.html#GUID-5FBF18D4-6EFC-4860-A3E3-1B08A1E13656"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.5.3 </span> Configuring Static File Support",
                                    "href":"configuring-ords.html#GUID-A578DB67-EE01-4CAB-8043-95F26A6E46F0"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.5.4 </span> Securing Oracle REST Data Service",
                                    "href":"configuring-ords.html#GUID-50DF0885-0A61-4516-BEC5-01DF5A1E6C0E"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.6 </span> Enabling Network Services in Oracle Database",
                            "href":"enabling-network-services-in-Oracle-db11g-or-later.html#GUID-8D125731-989A-4A51-AFFE-00181729F87F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.6.1 </span> When and Why Network Services Must be Enabled",
                                    "href":"enabling-network-services-in-Oracle-db11g-or-later.html#GUID-DEA26C53-0220-40F1-86FB-482163CA5681"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.6.2 </span> Granting Connect Privileges in Oracle Database 12c or Later",
                                    "href":"enabling-network-services-in-Oracle-db11g-or-later.html#GUID-CA19B8DF-B210-46FC-BC3A-F0DC76AE5625"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.6.3 </span> Troubleshooting an Invalid ACL Error",
                                    "href":"enabling-network-services-in-Oracle-db11g-or-later.html#GUID-C795F54B-D05F-4463-8424-052FD4C1CE52"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.7 </span> Performing Security Tasks",
                            "href":"performing-security-tasks.html#GUID-24A00920-2793-4B8D-8978-E9882658568B"
                        },
                        {
                            "title":"<span class=\"secnum\">6.8 </span> Controlling the Number of Concurrent Jobs",
                            "href":"controlling-number-of-concurrent-jobs.html#GUID-F32497A7-D2C7-4147-8CE2-1E227A144865",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.8.1 </span> About Managing the Number of Concurrent Jobs",
                                    "href":"controlling-number-of-concurrent-jobs.html#GUID-A4705F4A-444D-4267-862E-190287B3F748"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.8.2 </span> Viewing the Number of JOB_QUEUE_PROCESSES",
                                    "href":"controlling-number-of-concurrent-jobs.html#GUID-4C1EBD00-2EA6-47AB-A148-71D6976D6D3B",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">6.8.2.1 </span> Viewing JOB_QUEUE_PROCESSES in the Installation Log File",
                                            "href":"controlling-number-of-concurrent-jobs.html#GUID-3EEF5020-8BFE-4C85-88F7-BF2BF3F8259C"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.8.2.2 </span> Viewing JOB_QUEUE_PROCESSES in Oracle APEX",
                                            "href":"controlling-number-of-concurrent-jobs.html#GUID-0528F256-6487-439F-BAFA-E36D494599A3"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">6.8.2.3 </span> Viewing JOB_QUEUE_PROCESSES from SQL*Plus",
                                            "href":"controlling-number-of-concurrent-jobs.html#GUID-CEC88825-0BC6-49F5-A999-3AE4DA0BD49D"
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">6.8.3 </span> Changing the Number of JOB_QUEUE_PROCESSES",
                                    "href":"controlling-number-of-concurrent-jobs.html#GUID-0D38E3D3-8A0F-4F51-BE4A-607AE1FECB3B"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.9 </span> About Running Oracle APEX in Other Languages",
                            "href":"running-apex-in-other-languages.html#GUID-D1354D2E-326E-4795-9463-E5E4D05AC6DF"
                        },
                        {
                            "title":"<span class=\"secnum\">6.10 </span> Installing Translated Versions of Oracle APEX",
                            "href":"installing-translated-versions-of-apex.html#GUID-D5DA11ED-2230-4B3E-91B1-410C6BCD3AA0",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.10.1 </span> About Installing Translated Versions of Oracle APEX",
                                    "href":"installing-translated-versions-of-apex.html#GUID-D14592D7-CB4C-411B-B1AB-724FCEE22BEF"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.10.2 </span> Installing a Translated Version of Oracle APEX",
                                    "href":"installing-translated-versions-of-apex.html#GUID-614D03ED-5AEA-48DB-875C-210DA742F8F5"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.11 </span> Creating a Workspace and Adding Oracle APEX Users",
                            "href":"creating-workspace-and-adding-apex-users.html#GUID-EB1F45FA-29B3-4E9F-9493-13F16772742C",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.11.1 </span> About Workspaces and Users",
                                    "href":"creating-workspace-and-adding-apex-users.html#GUID-1040F145-452A-49D4-BCF6-A80851AFFA74"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.11.2 </span> Signing In To Administration Services",
                                    "href":"creating-workspace-and-adding-apex-users.html#GUID-D6619391-0A90-433C-BFB7-3A20A6E6DCB9"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.11.3 </span> Creating a Workspace Manually",
                                    "href":"creating-workspace-and-adding-apex-users.html#GUID-C4C7C3E9-B3F3-42E6-AC85-4380489B82AA"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.11.4 </span> Creating Oracle APEX Users",
                                    "href":"creating-workspace-and-adding-apex-users.html#GUID-5CC1AEA8-F216-4C2F-B1C0-E0EB3C55CFEB"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.11.5 </span> Signing In to Your Workspace",
                                    "href":"creating-workspace-and-adding-apex-users.html#GUID-7A8123F6-21D2-4981-A75A-2E94C9CD8BD1"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.12 </span> Performing Post Installation Tasks for Upgrade Installations",
                            "href":"performing-post-installation-tasks-for-upgrade-installations.html#GUID-84253FAB-52E9-4F09-B962-013EE4D9C795",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.12.1 </span> About Removing Prior Oracle APEX Installations",
                                    "href":"performing-post-installation-tasks-for-upgrade-installations.html#GUID-29A20CF9-D658-4FCF-A320-BD5E6ABE4D03"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.12.2 </span> Verifying if a Prior Installation Exists",
                                    "href":"performing-post-installation-tasks-for-upgrade-installations.html#GUID-C197EA8E-438C-4A90-A84E-1C15ECBF8CB1"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.12.3 </span> Removing Schemas and SYS Objects from Prior Installations",
                                    "href":"performing-post-installation-tasks-for-upgrade-installations.html#GUID-200286C8-03C9-42E7-A82B-F52CCA443E01"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.12.4 </span> Removing Schemas from Prior Installations in a CDB",
                                    "href":"performing-post-installation-tasks-for-upgrade-installations.html#GUID-873974DC-E199-4FE0-BBBE-7FD5A6B75465"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.12.5 </span> Fixing Invalid ACL",
                                    "href":"performing-post-installation-tasks-for-upgrade-installations.html#GUID-73B7D234-DFBE-4056-B05C-83C158DC44BC"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6.13 </span> About Performance Optimization Tasks",
                            "href":"performance-optimization-tasks.html#GUID-668ED330-AFDC-4A43-AA11-D67FCCA58DA1"
                        },
                        {
                            "title":"<span class=\"secnum\">6.14 </span> Converting Between Runtime and Full Development Environments",
                            "href":"converting-between-runtime-and-full-development-environments.html#GUID-BA4FEB10-AF06-4F4C-B841-649F8F3B616C",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">6.14.1 </span> About Runtime and Full Development Environments",
                                    "href":"converting-between-runtime-and-full-development-environments.html#GUID-BAC65AC6-6A1F-413D-B65C-DA6BE21F98B4"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.14.2 </span> Converting a Runtime Environment to a Full Development Environment",
                                    "href":"converting-between-runtime-and-full-development-environments.html#GUID-E5C7580A-E87D-44EC-B4D6-F57E793D4D0D"
                                },
                                {
                                    "title":"<span class=\"secnum\">6.14.3 </span> Converting a Full Development Environment to a Runtime Environment",
                                    "href":"converting-between-runtime-and-full-development-environments.html#GUID-B0621B40-3441-44ED-9D86-29B058E26BE9"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Automating the Oracle APEX Installation Process",
                    "href":"automating-the-apex-installation-process.html#GUID-C18CDE2A-F730-41D5-85DC-FA010A2CFCD4",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">A.1 </span> About apxsilentins.sql",
                            "href":"automating-the-apex-installation-process.html#GUID-F7ECBD78-287A-45BA-8AC1-BEA4D503FE27"
                        },
                        {
                            "title":"<span class=\"secnum\">A.2 </span> Running apxsilentins.sql",
                            "href":"automating-the-apex-installation-process.html#GUID-250648A9-B9E3-4D6C-AF0A-4054054CD190"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">B </span> Maximizing Uptime During an Oracle APEX Upgrade",
                    "href":"maximizing-uptime-during-apex-upgrade.html#GUID-DE1EEE34-E79A-4937-8B5E-B405BE23F1B5"
                },
                {
                    "title":"<span class=\"secnum\">C </span> Oracle APEX Installation Troubleshooting",
                    "href":"apex-installation-troubleshooting.html#GUID-DD71A070-847A-44D0-AF9A-27B55B826F9C",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">C.1 </span> Reviewing a Log of an Installation Session",
                            "href":"reviewing-log-of-installation-session.html#GUID-E6FF6A64-5F6D-42AE-81CC-8BEB3F989551"
                        },
                        {
                            "title":"<span class=\"secnum\">C.2 </span> Verifying the Validity of an Oracle APEX Installation",
                            "href":"verifying-validity-of-an-apex-installation.html#GUID-E34C91FC-60D3-44DF-815A-28A294360F52"
                        },
                        {
                            "title":"<span class=\"secnum\">C.3 </span> Cleaning Up After a Failed Installation",
                            "href":"cleaning-up-after-failed-installation.html#GUID-872260A2-2BF5-42F8-A9D5-B7A40EF9345C",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">C.3.1 </span> Reverting to a Previous Release After a Failed Upgrade Installation",
                                    "href":"reverting-to-previous-release-after-failed-upgrade-installation.html#GUID-24B09CC5-32FB-494F-AF84-E4482219E4E2",
                                    "topics":[
                                        {
                                            "title":"<span class=\"secnum\">C.3.1.1 </span> Verifying If You Have a Previous Release of Oracle APEX",
                                            "href":"verifying-if-have-previous-release-of-apex.html#GUID-21C4B2F5-3ADE-4561-9E7E-962517AEB535"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">C.3.1.2 </span> Reverting the Images Directory",
                                            "href":"reverting-the-images-directory.html#GUID-E91839C4-E18A-4562-B975-C04EC1C5D614"
                                        },
                                        {
                                            "title":"<span class=\"secnum\">C.3.1.3 </span> Reverting to a Previous Release",
                                            "href":"reverting-to-a-previous-release.html#GUID-A1FA25CA-1537-4158-B92F-11AECC7D2731",
                                            "topics":[
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.1 </span> Reverting to Release 1.5",
                                                    "href":"reverting-to-a-previous-release.html#GUID-37F1EC00-15DA-4E3D-9BA0-8CD8507729CF"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.2 </span> Reverting to Release 1.6",
                                                    "href":"reverting-to-a-previous-release.html#GUID-F880BBEF-9026-4EE6-83DD-BC4C57271903"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.3 </span> Reverting to Release 2.0",
                                                    "href":"reverting-to-a-previous-release.html#GUID-CE93F79A-6058-469E-AAA9-F264DD51925B"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.4 </span> Reverting to Release 2.2",
                                                    "href":"reverting-to-a-previous-release.html#GUID-16224976-DB5C-4F5D-A485-5E7A3A37FDE6"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.5 </span> Reverting to Release 3.0",
                                                    "href":"reverting-to-a-previous-release.html#GUID-001BD03F-DFDC-4F09-B642-0CC4C10A5BAA"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.6 </span> Reverting to Release 3.1",
                                                    "href":"reverting-to-a-previous-release.html#GUID-C22A5CC8-71AA-4118-A054-A2D72F443DFD"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.7 </span> Reverting to Release 3.2",
                                                    "href":"reverting-to-a-previous-release.html#GUID-AF3A1693-C338-4CC1-91F4-3A99EC389BBD"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.8 </span> Reverting to Release 4.0",
                                                    "href":"reverting-to-a-previous-release.html#GUID-27FDE57E-FBDA-46CD-9122-447CFCB97A65"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.9 </span> Reverting to Release 4.1",
                                                    "href":"reverting-to-a-previous-release.html#GUID-445415C2-75B7-42BD-A580-7CB590F1B3B9"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.10 </span> Reverting to Release 4.2 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-B1C62059-AE97-4550-B643-2A4DB95EF5B2"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.11 </span> Reverting to Release 4.2 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-505287B3-C766-4A2B-8CBC-14D92608F515"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.12 </span> Reverting to Release 5.0 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-08E61159-29B6-4EBE-88A7-64011A5FBEF3"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.13 </span> Reverting to Release 5.0 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-73311EF8-ACE9-444A-989D-F262DCEA808F"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.14 </span> Reverting to Release 5.1 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-F85C84B1-37B6-4C40-95E5-712640899467"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.15 </span> Reverting to Release 5.1 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-69ECCCC4-338A-4AE1-8CD9-9DF7FA7A4847"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.16 </span> Reverting to Release 18.1 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-1EB00E6C-854E-4CF0-B63E-5458265A2EFA"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.17 </span> Reverting to Release 18.1 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-E533789E-1982-48A3-A24B-F1C694EE4F1D"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.18 </span> Reverting to Release 18.2 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-F96A77D5-7F69-401B-8525-56FAE3D66ED9"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.19 </span> Reverting to Release 18.2 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-8722FA26-584D-4D37-86CA-B1A18D7F8396"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.20 </span> Reverting to Release 19.1 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-7DC3946D-1EA5-44CA-9DE5-FF8C233BE805"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.21 </span> Reverting to Release 19.1 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-A2D47B7E-D58A-43E6-A773-992A991949E5"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.22 </span> Reverting to Release 19.2 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-751AAC1D-DB8A-410D-8B4F-2FFE9706EE30"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.23 </span> Reverting to Release 19.2 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-8EF1960B-77E9-4A03-80BC-14CDFA2D1965"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.24 </span> Reverting to Release 20.1 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-7FEA5506-7CD6-444A-96E4-616FDCD48D14"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.25 </span> Reverting to Release 20.1 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-6DD59B43-6AFD-4FA3-B22C-AD487746B3EA"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.26 </span> Reverting to Release 20.2 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-35080E16-E0B7-4A3F-AB7C-2B4FA2B06FBF"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.27 </span> Reverting to Release 20.2 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-D1145A20-A587-4A62-B2BC-31824A7189A1"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.28 </span> Reverting to Release 21.1 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-A982D18F-97A7-46AE-A184-E9B32F903525"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.29 </span> Reverting to Release 21.1 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-225DB27A-39AD-4853-87E6-E41F9947B4A2"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.30 </span> Reverting to Release 21.2 in a non-CDB or PDB with Local APEX",
                                                    "href":"reverting-to-a-previous-release.html#GUID-A2B27278-C05B-4A82-8CAA-491D182B4EDA"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.31 </span> Reverting to Release 21.2 in a CDB",
                                                    "href":"reverting-to-a-previous-release.html#GUID-20AB7B6A-7CF7-4E8C-98A2-51AB3D280E9A"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.3.32 </span> Re-enabling the REST Administration Interface After Downgrading",
                                                    "href":"reverting-to-a-previous-release.html#GUID-866AC9D0-2558-4CD7-BC6E-330925EDB2EE"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"<span class=\"secnum\">C.3.1.4 </span> Removing the Oracle APEX Release Schema",
                                            "href":"removing-the-apex-release-schema.html#GUID-E7A956E1-00F8-44F5-B92F-6628514D2DF0",
                                            "topics":[
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.4.1 </span> Removing the APEX Release 22.1 Schema from a Non-CDB",
                                                    "href":"removing-the-apex-release-schema.html#GUID-12F57A77-14BB-4AEA-9D06-D426D3CB65B2"
                                                },
                                                {
                                                    "title":"<span class=\"secnum\">C.3.1.4.2 </span> Removing the Oracle APEX Release 22.1 Schema from a CDB",
                                                    "href":"removing-the-apex-release-schema.html#GUID-D56D5C6D-EFAC-4628-A433-3EB84292E99B"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "title":"<span class=\"secnum\">C.3.2 </span> Removing Oracle APEX from the Database",
                                    "href":"removing-apex-from-the-database.html#GUID-A16032EF-3440-4D7A-B8A2-193A49D0BB30"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">C.4 </span> About Images Displaying Incorrectly in Oracle APEX",
                            "href":"images-displaying-incorrectly.html#GUID-CB9EB14E-EAA5-406B-9E7F-A6CE7A17335B"
                        },
                        {
                            "title":"<span class=\"secnum\">C.5 </span> About Page Protection Violation",
                            "href":"page-protection.html#GUID-D93D9841-928C-47DC-BDEE-858B8FF7DF55"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">D </span> Upgrading Oracle APEX within Oracle Database Express Edition",
                    "href":"upgrading-apex-within-oracle-db-xe.html#GUID-38805604-3203-4365-B9E0-9347DE5D3D7A",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">D.1 </span> Upgrading to the Latest Oracle APEX Release",
                            "href":"upgrading-apex-within-oracle-db-xe.html#GUID-4B4A2BDC-11AA-4ACF-88B2-E320D6361596"
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});